#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './controlwidget.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "controlwidget.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qtabwidget.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ControlWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ControlWidget::ControlWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ControlWidget" );
    ControlWidgetLayout = new QGridLayout( this, 1, 1, 11, 6, "ControlWidgetLayout"); 

    buttonGroup1 = new QButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setColumnLayout(0, Qt::Vertical );
    buttonGroup1->layout()->setSpacing( 6 );
    buttonGroup1->layout()->setMargin( 11 );
    buttonGroup1Layout = new QGridLayout( buttonGroup1->layout() );
    buttonGroup1Layout->setAlignment( Qt::AlignTop );

    _currentChannel = new QRadioButton( buttonGroup1, "_currentChannel" );

    buttonGroup1Layout->addWidget( _currentChannel, 0, 0 );

    _allChannels = new QRadioButton( buttonGroup1, "_allChannels" );

    buttonGroup1Layout->addWidget( _allChannels, 1, 0 );

    ControlWidgetLayout->addWidget( buttonGroup1, 1, 0 );

    _controlsTabWidget = new QTabWidget( this, "_controlsTabWidget" );

    _basicControls = new QWidget( _controlsTabWidget, "_basicControls" );
    _controlsTabWidget->insertTab( _basicControls, QString::fromLatin1("") );

    _advancedControls = new QWidget( _controlsTabWidget, "_advancedControls" );
    _controlsTabWidget->insertTab( _advancedControls, QString::fromLatin1("") );

    ControlWidgetLayout->addWidget( _controlsTabWidget, 0, 0 );
    languageChange();
    resize( QSize(550, 395).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ControlWidget::~ControlWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ControlWidget::languageChange()
{
    buttonGroup1->setTitle( tr2i18n( "Apply to:" ) );
    _currentChannel->setText( tr2i18n( "Current channel only" ) );
    QToolTip::add( _currentChannel, tr2i18n( "Modifies only picture settings of currently tuned channel" ) );
    _allChannels->setText( tr2i18n( "Current channel and set as global default" ) );
    QToolTip::add( _allChannels, tr2i18n( "Modifies picture settings of current channel and sets them as global defaults (for all channels not using private picture settings)" ) );
    _controlsTabWidget->changeTab( _basicControls, tr2i18n( "Basic Controls" ) );
    _controlsTabWidget->changeTab( _advancedControls, tr2i18n( "Advanced Controls" ) );
}

#include "controlwidget.moc"
